Package skyview.geometry.csys

# Class Helioecliptic

java.lang.Object
skyview.geometry.CoordinateSystem
skyview.geometry.csys.Ecliptic
skyview.geometry.csys.Helioecliptic

All Implemented Interfaces:
  `Serializable`, `Component`

public class Helioecliptic extends Ecliptic implements Component
A helioecliptic coordinate system at a given epoch. This gives a coordinate system where the Sun is at the center of the coordinate system. We assume that the same epoch is to be used to get the position of the Sun and the basis Ecliptic coordinate system.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.geometry.CoordinateSystem

`B1950, Gal, ICRS, J2000`

## Constructor Summary

Constructors
Constructor
Description
`Helioecliptic(double epoch)`
Get a coordinate system at a given epoch.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of the component.
`String`
`getName()`
Get the name of the component.
`static double`
`sunlong(double epoch)`
Find the ecliptic longitude of the Sun at a given epoch.

### Methods inherited from class skyview.geometry.csys.Ecliptic

`getRotater`

### Methods inherited from class skyview.geometry.CoordinateSystem

`factory, factory, getSphereDistorter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Helioecliptic

public Helioecliptic(double epoch)
Get a coordinate system at a given epoch.

Parameters:
  `epoch` - The desired epoch

## Method Details

### getName

public String getName()
Get the name of the component.

Specified by:
  `getName` in interface `Component`
Overrides:
  `getName` in class `Ecliptic`

### getDescription

public String getDescription()
Get a description of the component.

Specified by:
  `getDescription` in interface `Component`
Overrides:
  `getDescription` in class `Ecliptic`

### sunlong

public static double sunlong(double epoch)
Find the ecliptic longitude of the Sun at a given epoch. Algorithm derived (and simplified) from the IDL Astronomy library sunpos (C.D. Pike, B. Emerson).

Parameters:
  `epoch` - (in years).